/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { ScatterTriangulationSeriesDescription } from "./ScatterTriangulationSeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class ScatterContourSeriesDescription extends ScatterTriangulationSeriesDescription {
    constructor() {
        super();
        this.ce = null;
        this.cc = null;
        this.ca = null;
    }
    get_type() {
        return "ScatterContourSeries";
    }
    get valueMemberPath() {
        return this.ce;
    }
    set valueMemberPath(a) {
        this.ce = a;
        this.e("ValueMemberPath");
    }
    get fillScale() {
        return this.cc;
    }
    set fillScale(a) {
        this.cc = a;
        this.e("FillScale");
    }
    get valueResolver() {
        return this.ca;
    }
    set valueResolver(a) {
        this.ca = a;
        this.e("ValueResolver");
    }
}
ScatterContourSeriesDescription.$t = markType(ScatterContourSeriesDescription, 'ScatterContourSeriesDescription', ScatterTriangulationSeriesDescription.$);
